
extension FileResource {

    enum Mock {

        static func mockData(content: Content) -> [FileResource] {
            [
                FileResource(content: content, resourceImage: "image1", type: .jpg),
                FileResource(content: content, resourceImage: "image2", type: .jpg),
                FileResource(content: content, resourceImage: "image3", type: .jpg),
                FileResource(content: content, resourceImage: "image4", type: .jpg),
                FileResource(
                    content: content,
                    id: "my-file.txt",
                    isExternallyStored: true,
                    english: "Some text file",
                    german: "Eine Textdatei")
            ]
        }
    }

    static var mock: FileResource {
        Content.mock.files.first(where: { $0.identifier == "my-file.txt" })!
    }
}
